Index: trunk/HeuristicLab.Clients.OKB/3.3/Administration/AdministrationClient.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Administration/AdministrationClient.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Administration/AdministrationClient.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/Algorithm.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/Algorithm.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/Algorithm.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/AlgorithmClass.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/AlgorithmClass.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/AlgorithmClass.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/INamedOKBItem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/INamedOKBItem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/INamedOKBItem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/IOKBItem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/IOKBItem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/IOKBItem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/NamedOKBItem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/NamedOKBItem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/NamedOKBItem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/OKBItem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/OKBItem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/OKBItem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/OKBItemCollection.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/OKBItemCollection.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/OKBItemCollection.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/Platform.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/Platform.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/Platform.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/Problem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/Problem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/Problem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/ProblemClass.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/ProblemClass.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Administration/ServiceClient/ProblemClass.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 16565)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Clients.OKB</RootNamespace>
     <AssemblyName>HeuristicLab.Clients.OKB-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -89,7 +89,16 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre01\lib\netstandard2.0\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Runtime.Serialization" />
     <Reference Include="System.ServiceModel" />
@@ -179,4 +188,5 @@
     <Compile Include="RunCreation\SingleObjectiveOKBProblem.cs" />
     <None Include="app.config" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
Index: trunk/HeuristicLab.Clients.OKB/3.3/OKBRoles.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/OKBRoles.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/OKBRoles.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Plugin.cs.frame
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Plugin.cs.frame	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Plugin.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Properties/AssemblyInfo.cs.frame	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Properties/AssemblyInfo.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/QueryClient.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/QueryClient.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/QueryClient.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/CombinedFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/CombinedFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/CombinedFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/EqualityComparisonBoolFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/EqualityComparisonBoolFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/EqualityComparisonBoolFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/EqualityComparisonByteArrayFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/EqualityComparisonByteArrayFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/EqualityComparisonByteArrayFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/Filter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/Filter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/Filter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonBoolFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonBoolFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonBoolFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonByteArrayFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonByteArrayFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameEqualityComparisonByteArrayFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonDoubleFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonDoubleFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonDoubleFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonFloatFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonFloatFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonFloatFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonIntFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonIntFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonIntFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonLongFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonLongFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonLongFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonPercentFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonPercentFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonPercentFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonTimeSpanFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonTimeSpanFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameOrdinalComparisonTimeSpanFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonAvailableValuesFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonAvailableValuesFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonAvailableValuesFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/NameStringComparisonFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonDateTimeFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonDateTimeFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonDateTimeFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonDoubleFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonDoubleFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonDoubleFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonFloatFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonFloatFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonFloatFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonIntFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonIntFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonIntFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonLongFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonLongFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonLongFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonPercentFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonPercentFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonPercentFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonTimeSpanFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonTimeSpanFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/OrdinalComparisonTimeSpanFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonAvailableValuesFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonAvailableValuesFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonAvailableValuesFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonFilter.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonFilter.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/StringComparisonFilter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/ValueName.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/ValueName.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/Query/ServiceClient/ValueName.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyAlgorithm.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,10 +24,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Algorithm", "A dummy algorithm which serves as a placeholder and cannot be executed.")]
-  [StorableClass]
+  [StorableType("C98C8322-5A78-4518-A94D-FA20F12AB8D3")]
   [NonDiscoverableType]
   public sealed class EmptyAlgorithm : HeuristicLab.Optimization.Algorithm {
@@ -55,6 +55,5 @@
 
     [StorableConstructor]
-    private EmptyAlgorithm(bool deserializing)
-      : base(deserializing) {
+    private EmptyAlgorithm(StorableConstructorFlag _) : base(_) {
       this.results = new ResultCollection();
     }
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyEvaluator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,10 +25,10 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptyEvaluator", "A dummy evaluator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableType("0AC24AEA-8CBF-4F93-AE7A-02113344FAD8")]
   [NonDiscoverableType]
   public sealed class EmptyEvaluator : Operator, IEvaluator {
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    private EmptyEvaluator(bool deserializing) : base(deserializing) { }
+    private EmptyEvaluator(StorableConstructorFlag _) : base(_) { }
     private EmptyEvaluator(EmptyEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveEvaluator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,10 +27,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptyMultiObjectiveEvaluator", "A dummy multi-objective evaluator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableType("5E0EF79B-C771-4B6A-AAFD-598A1FF2D3AA")]
   [NonDiscoverableType]
   public sealed class EmptyMultiObjectiveEvaluator : Operator, IMultiObjectiveEvaluator {
@@ -57,5 +57,5 @@
 
     [StorableConstructor]
-    private EmptyMultiObjectiveEvaluator(bool deserializing) : base(deserializing) { }
+    private EmptyMultiObjectiveEvaluator(StorableConstructorFlag _) : base(_) { }
     private EmptyMultiObjectiveEvaluator(EmptyMultiObjectiveEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyMultiObjectiveProblem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,10 +23,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Multi-Objective Problem", "A dummy multi-objective problem which serves as a placeholder and cannot be solved.")]
-  [StorableClass]
+  [StorableType("1AD8A6B9-1B3E-40BA-BAE2-8EAD31793B7D")]
   [NonDiscoverableType]
   public sealed class EmptyMultiObjectiveProblem : MultiObjectiveHeuristicOptimizationProblem<EmptyMultiObjectiveEvaluator, EmptySolutionCreator> {
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private EmptyMultiObjectiveProblem(bool deserializing) : base(deserializing) { }
+    private EmptyMultiObjectiveProblem(StorableConstructorFlag _) : base(_) { }
     private EmptyMultiObjectiveProblem(EmptyMultiObjectiveProblem original, Cloner cloner) : base(original, cloner) { }
     public EmptyMultiObjectiveProblem() : base(new EmptyMultiObjectiveEvaluator(), new EmptySolutionCreator()) { }
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptyProblem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,10 +23,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Problem", "A dummy problem which serves as a placeholder and cannot be solved.")]
-  [StorableClass]
+  [StorableType("10132D57-7177-42A2-97B9-B77D89AADE6A")]
   [NonDiscoverableType]
   public sealed class EmptyProblem : HeuristicOptimizationProblem<EmptyEvaluator, EmptySolutionCreator> {
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private EmptyProblem(bool deserializing) : base(deserializing) { }
+    private EmptyProblem(StorableConstructorFlag _) : base(_) { }
     private EmptyProblem(EmptyProblem original, Cloner cloner) : base(original, cloner) { }
     public EmptyProblem()
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveEvaluator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,10 +26,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptySingleObjectiveEvaluator", "A dummy single-objective evaluator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableType("EBA99DEF-5A98-49AA-B0F6-401886774335")]
   [NonDiscoverableType]
   public sealed class EmptySingleObjectiveEvaluator : Operator, ISingleObjectiveEvaluator {
@@ -56,5 +56,5 @@
 
     [StorableConstructor]
-    private EmptySingleObjectiveEvaluator(bool deserializing) : base(deserializing) { }
+    private EmptySingleObjectiveEvaluator(StorableConstructorFlag _) : base(_) { }
     private EmptySingleObjectiveEvaluator(EmptySingleObjectiveEvaluator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySingleObjectiveProblem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,10 +23,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("Empty Single-Objective Problem", "A dummy single-objective problem which serves as a placeholder and cannot be solved.")]
-  [StorableClass]
+  [StorableType("12D022A4-6DC4-4840-9EE7-F1EEB7A408F6")]
   [NonDiscoverableType]
   public sealed class EmptySingleObjectiveProblem : SingleObjectiveHeuristicOptimizationProblem<EmptySingleObjectiveEvaluator, EmptySolutionCreator> {
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private EmptySingleObjectiveProblem(bool deserializing) : base(deserializing) { }
+    private EmptySingleObjectiveProblem(StorableConstructorFlag _) : base(_) { }
     private EmptySingleObjectiveProblem(EmptySingleObjectiveProblem original, Cloner cloner) : base(original, cloner) { }
     public EmptySingleObjectiveProblem() : base(new EmptySingleObjectiveEvaluator(), new EmptySolutionCreator()) { }
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/EmptySolutionCreator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,10 +25,10 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("EmptySolutionCreator", "A dummy solution creator which throws an exception when executed.")]
-  [StorableClass]
+  [StorableType("A3793B3B-A85B-47D3-A3DB-D35565518598")]
   [NonDiscoverableType]
   public sealed class EmptySolutionCreator : Operator, ISolutionCreator {
@@ -51,5 +51,5 @@
 
     [StorableConstructor]
-    private EmptySolutionCreator(bool deserializing) : base(deserializing) { }
+    private EmptySolutionCreator(StorableConstructorFlag _) : base(_) { }
     private EmptySolutionCreator(EmptySolutionCreator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ItemWrapper.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,10 +24,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("ItemWrapper", "A wrapper which wraps an IItem.")]
-  [StorableClass]
+  [StorableType("27F3E8E3-AC7D-415E-BF16-7E05EF6E1549")]
   [NonDiscoverableType]
   public class ItemWrapper<T> : IItem where T : class, IItem {
@@ -74,5 +74,5 @@
 
     [StorableConstructor]
-    protected ItemWrapper(bool deserializing) { }
+    protected ItemWrapper(StorableConstructorFlag _) { }
     protected ItemWrapper(ItemWrapper<T> original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/MissingClientRegistrationException.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/MissingClientRegistrationException.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/MissingClientRegistrationException.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/MultiObjectiveOKBProblem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,10 +24,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("OKB Problem (multi-objective)", "Represents a multi-objective problem which is stored in the OKB.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysisOKB, Priority = 120)]
-  [StorableClass]
+  [StorableType("BB74E220-F721-4129-9A50-374647B16B97")]
   public sealed class MultiObjectiveOKBProblem : OKBProblem, IMultiObjectiveHeuristicOptimizationProblem, IStorableContent {
     public string Filename { get; set; }
@@ -47,5 +47,5 @@
 
     [StorableConstructor]
-    private MultiObjectiveOKBProblem(bool deserializing) : base(deserializing) { }
+    private MultiObjectiveOKBProblem(StorableConstructorFlag _) : base(_) { }
     private MultiObjectiveOKBProblem(MultiObjectiveOKBProblem original, Cloner cloner) : base(original, cloner) { }
     public MultiObjectiveOKBProblem() : base(new EmptyMultiObjectiveProblem("No problem selected. Please choose a multi-objective problem instance from the OKB.")) { }
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/NamedItemWrapper.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,10 +23,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("NamedItemWrapper", "A wrapper which wraps an INamedItem.")]
-  [StorableClass]
+  [StorableType("F6834425-A9E1-41B9-A354-66062DC4FBA9")]
   [NonDiscoverableType]
   public class NamedItemWrapper<T> : ItemWrapper<T>, INamedItem where T : class, INamedItem {
@@ -59,5 +59,5 @@
 
     [StorableConstructor]
-    protected NamedItemWrapper(bool deserializing) : base(deserializing) { }
+    protected NamedItemWrapper(StorableConstructorFlag _) : base(_) { }
     protected NamedItemWrapper(NamedItemWrapper<T> original, Cloner cloner) : base(original, cloner) { }
     public NamedItemWrapper(T item) : base(item) { }
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBAlgorithm.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Persistence.Default.Xml;
 using System;
@@ -38,5 +38,5 @@
   [Item("OKB Algorithm", "An algorithm which is stored in the OKB.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysisOKB, Priority = 100)]
-  [StorableClass]
+  [StorableType("159620CA-BC90-48D9-8868-5D8940016BA0")]
   public sealed class OKBAlgorithm : Item, IAlgorithm, IStorableContent {
     public string Filename { get; set; }
@@ -183,5 +183,5 @@
 
     [StorableConstructor]
-    private OKBAlgorithm(bool deserializing) : base(deserializing) { }
+    private OKBAlgorithm(StorableConstructorFlag _) : base(_) { }
     private OKBAlgorithm(OKBAlgorithm original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBProblem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Persistence.Default.Xml;
 using System;
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("OKB Problem", "A base class for problems which are stored in the OKB.")]
-  [StorableClass]
+  [StorableType("041DC8A8-2987-4045-B24A-CBA7EAD47316")]
   public abstract class OKBProblem : Item, IHeuristicOptimizationProblem {
     public virtual Type ProblemType {
@@ -139,5 +139,5 @@
 
     [StorableConstructor]
-    protected OKBProblem(bool deserializing) : base(deserializing) { }
+    protected OKBProblem(StorableConstructorFlag _) : base(_) { }
     protected OKBProblem(OKBProblem original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBRun.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -30,10 +30,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Persistence.Default.Xml;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("OKB Run", "The parameters and results of an algorithm run which are stored in the OKB.")]
-  [StorableClass]
+  [StorableType("357B418B-4384-48EC-AAB3-F3008A7CD961")]
   public sealed class OKBRun : NamedItemWrapper<IRun>, IRun, IStorableContent {
     public string Filename { get; set; }
@@ -111,5 +111,5 @@
 
     [StorableConstructor]
-    private OKBRun(bool deserializing) : base(deserializing) { }
+    private OKBRun(StorableConstructorFlag _) : base(_) { }
     private OKBRun(OKBRun original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBSolution.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBSolution.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/OKBSolution.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,10 +22,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using System;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("OKB Solution", "")]
-  [StorableClass]
+  [StorableType("5B06773F-20A4-41C3-AEE1-62084E2F5E71")]
   public abstract class OKBSolution : Item {
     [Storable]
@@ -55,5 +55,5 @@
 
     [StorableConstructor]
-    protected OKBSolution(bool deserializing) : base(deserializing) { }
+    protected OKBSolution(StorableConstructorFlag _) : base(_) { }
     protected OKBSolution(OKBSolution original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/RunCreationClient.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/RunCreationClient.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/RunCreationClient.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Algorithm.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Algorithm.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Algorithm.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/BoolValue.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/BoolValue.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/BoolValue.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/DoubleValue.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/DoubleValue.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/DoubleValue.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/FloatValue.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/FloatValue.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/FloatValue.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/IntValue.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/IntValue.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/IntValue.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/LongValue.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/LongValue.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/LongValue.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/PercentValue.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/PercentValue.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/PercentValue.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Problem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Problem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Problem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/StringValue.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/StringValue.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/StringValue.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/TimeSpanValue.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/TimeSpanValue.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/TimeSpanValue.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Value.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Value.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/ServiceClient/Value.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBProblem.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,10 +24,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("OKB Problem (single-objective)", "Represents a single-objective problem which is stored in the OKB.")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysisOKB, Priority = 110)]
-  [StorableClass]
+  [StorableType("1A1DF6E8-4A3F-4D91-9B1D-6FF6EC8D1055")]
   public sealed class SingleObjectiveOKBProblem : OKBProblem, ISingleObjectiveHeuristicOptimizationProblem, IStorableContent {
     public string Filename { get; set; }
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    private SingleObjectiveOKBProblem(bool deserializing) : base(deserializing) { }
+    private SingleObjectiveOKBProblem(StorableConstructorFlag _) : base(_) { }
     private SingleObjectiveOKBProblem(SingleObjectiveOKBProblem original, Cloner cloner) : base(original, cloner) { }
     public SingleObjectiveOKBProblem() : base(new EmptySingleObjectiveProblem("No problem selected. Please choose a single-objective problem instance from the OKB.")) { }
Index: trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBSolution.cs
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBSolution.cs	(revision 16430)
+++ trunk/HeuristicLab.Clients.OKB/3.3/RunCreation/SingleObjectiveOKBSolution.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,5 +22,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Persistence.Default.Xml;
 using System;
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Clients.OKB.RunCreation {
   [Item("OKB Solution (single-objective)", "")]
-  [StorableClass]
+  [StorableType("55C3DE30-17C6-4327-8C33-7CF62201E78E")]
   public sealed class SingleObjectiveOKBSolution : OKBSolution {
     [Storable]
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    private SingleObjectiveOKBSolution(bool deserializing) : base(deserializing) { }
+    private SingleObjectiveOKBSolution(StorableConstructorFlag _) : base(_) { }
     private SingleObjectiveOKBSolution(SingleObjectiveOKBSolution original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Clients.OKB/3.3/packages.config
===================================================================
--- trunk/HeuristicLab.Clients.OKB/3.3/packages.config	(revision 16565)
+++ trunk/HeuristicLab.Clients.OKB/3.3/packages.config	(revision 16565)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre01" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
